# VkMemoryHeap(3) Manual Page

## Name

VkMemoryHeap - Structure specifying a memory heap

## C Specification

The `VkMemoryHeap` structure is defined as:

    typedef struct VkMemoryHeap {
        VkDeviceSize         size;
        VkMemoryHeapFlags    flags;
    } VkMemoryHeap;

## Members

- `size` is the total memory size in bytes in the heap.

- `flags` is a bitmask of VkMemoryHeapFlagBits specifying attribute flags for the heap.

## Description

## See Also

`VkDeviceSize`, VkMemoryHeapFlags, VkPhysicalDeviceMemoryProperties

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.